List Handling actions
List Handling actions
get/tenants/{tenantUid}/handlings/{handlingUid}/actions
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+handlingUidstringRequiredPattern:
Reference to an handling id.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
handlingActionStoreUidstringOptionalPattern:
Reference to a store uid.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
get/tenants/{tenantUid}/handlings/{handlingUid}/actions
GET /v2/tenants/{tenantUid}/handlings/{handlingUid}/actions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"active": true,
"allowComment": true,
"name": "text",
"storeUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"handlingActionUid": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

